<template>
  <div class="app-container">
    <el-row :gutter="20">
      <el-col :xs="9" :sm="6" :md="5" :lg="4" :xl="4">
        <map-layer ref="mapLayer" @changeLayer="changeLayer" />
      </el-col>
      <el-col :xs="15" :sm="18" :md="19" :lg="20" :xl="20">
        <map-meta ref="mapMeta" />
      </el-col>
    </el-row>
  </div>
</template>

<script>
import MapLayer from './Layer'
import MapMeta from './Meta'
export default {
  name: '',
  components: { MapLayer, MapMeta },
  data() {
    return {}
  },
  methods: {
    changeLayer(data) {
      this.$refs.mapMeta.query.layerID = data.id
      this.$refs.mapMeta.crud.toQuery()
    }
  }
}
</script>

<style></style>
